<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup Label="ProjectConfigurations">
    <ProjectConfiguration Include="Debug|Win32">
      <Configuration>Debug</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Debug|x64">
      <Configuration>Debug</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|Win32">
      <Configuration>Release</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|x64">
      <Configuration>Release</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="XRelease|Win32">
      <Configuration>XRelease</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="XRelease|x64">
      <Configuration>XRelease</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
  </ItemGroup>
  <PropertyGroup Label="Globals">
    <ProjectGuid>{FA316AC1-393B-4499-B09F-CA77A46E8840}</ProjectGuid>
    <RootNamespace>Client</RootNamespace>
    <ProjectName>ClientGTK</ProjectName>
    <VCTargetsPath Condition="'$(VCTargetsPath11)' != '' and '$(VSVersion)' == '' and $(VisualStudioVersion) == ''">$(VCTargetsPath11)</VCTargetsPath>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <UseDebugLibraries>true</UseDebugLibraries>
    <CharacterSet>MultiByte</CharacterSet>
    <PlatformToolset>v110</PlatformToolset>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <UseDebugLibraries>true</UseDebugLibraries>
    <CharacterSet>MultiByte</CharacterSet>
    <PlatformToolset>v110</PlatformToolset>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <UseDebugLibraries>false</UseDebugLibraries>
    <WholeProgramOptimization>true</WholeProgramOptimization>
    <CharacterSet>MultiByte</CharacterSet>
    <PlatformToolset>v110</PlatformToolset>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='XRelease|Win32'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <UseDebugLibraries>false</UseDebugLibraries>
    <WholeProgramOptimization>true</WholeProgramOptimization>
    <CharacterSet>MultiByte</CharacterSet>
    <PlatformToolset>v110</PlatformToolset>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <UseDebugLibraries>false</UseDebugLibraries>
    <WholeProgramOptimization>true</WholeProgramOptimization>
    <CharacterSet>MultiByte</CharacterSet>
    <PlatformToolset>v110</PlatformToolset>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='XRelease|x64'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <UseDebugLibraries>false</UseDebugLibraries>
    <WholeProgramOptimization>true</WholeProgramOptimization>
    <CharacterSet>MultiByte</CharacterSet>
    <PlatformToolset>v110</PlatformToolset>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
  <ImportGroup Label="ExtensionSettings">
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='XRelease|Win32'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='XRelease|x64'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <PropertyGroup Label="UserMacros" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <IncludePath>$(SolutionDir)GTK-2.22.1-win64\include\gdk-pixbuf-2.0;$(SolutionDir)GTK-2.22.1-win64\include;$(SolutionDir)GTK-2.22.1-win64\include\gtk-2.0;$(SolutionDir)GTK-2.22.1-win64\include\glib-2.0;$(SolutionDir)GTK-2.22.1-win64\lib\glib-2.0\include;$(SolutionDir)GTK-2.22.1-win64\include\atk-1.0;$(SolutionDir)GTK-2.22.1-win64\include\cairo;$(SolutionDir)GTK-2.22.1-win64\include\pango-1.0;$(SolutionDir)GTK-2.22.1-win64\lib\gtk-2.0\include;$(IncludePath)</IncludePath>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='XRelease|x64'">
    <IncludePath>$(SolutionDir)GTK-2.22.1-win64\include\gdk-pixbuf-2.0;$(SolutionDir)GTK-2.22.1-win64\include;$(SolutionDir)GTK-2.22.1-win64\include\gtk-2.0;$(SolutionDir)GTK-2.22.1-win64\include\glib-2.0;$(SolutionDir)GTK-2.22.1-win64\lib\glib-2.0\include;$(SolutionDir)GTK-2.22.1-win64\include\atk-1.0;$(SolutionDir)GTK-2.22.1-win64\include\cairo;$(SolutionDir)GTK-2.22.1-win64\include\pango-1.0;$(SolutionDir)GTK-2.22.1-win64\lib\gtk-2.0\include;$(IncludePath)</IncludePath>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <LibraryPath>$(SolutionDir)GTK-2.22.1-win64\lib;$(LibraryPath)</LibraryPath>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='XRelease|x64'">
    <LibraryPath>$(SolutionDir)GTK-2.22.1-win64\lib;$(LibraryPath)</LibraryPath>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <IncludePath>$(SolutionDir)LibCurl-7.18.0\include\;$(SolutionDir)GTK-2.22.1-win32\include\gdk-pixbuf-2.0;$(SolutionDir)GTK-2.22.1-win32\include;$(SolutionDir)GTK-2.22.1-win32\include\gtk-2.0;$(SolutionDir)GTK-2.22.1-win32\include\glib-2.0;$(SolutionDir)GTK-2.22.1-win32\lib\glib-2.0\include;$(SolutionDir)GTK-2.22.1-win32\include\atk-1.0;$(SolutionDir)GTK-2.22.1-win32\include\cairo;$(SolutionDir)GTK-2.22.1-win32\include\pango-1.0;$(SolutionDir)GTK-2.22.1-win32\lib\gtk-2.0\include;$(IncludePath)</IncludePath>
    <LibraryPath>$(SolutionDir)GTK-2.22.1-win32\lib;$(SolutionDir)LibCurl-7.18.0\lib;$(LibraryPath)</LibraryPath>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='XRelease|Win32'">
    <IncludePath>$(SolutionDir)LibCurl-7.18.0\include\;$(SolutionDir)GTK-2.22.1-win32\include\gdk-pixbuf-2.0;$(SolutionDir)GTK-2.22.1-win32\include;$(SolutionDir)GTK-2.22.1-win32\include\gtk-2.0;$(SolutionDir)GTK-2.22.1-win32\include\glib-2.0;$(SolutionDir)GTK-2.22.1-win32\lib\glib-2.0\include;$(SolutionDir)GTK-2.22.1-win32\include\atk-1.0;$(SolutionDir)GTK-2.22.1-win32\include\cairo;$(SolutionDir)GTK-2.22.1-win32\include\pango-1.0;$(SolutionDir)GTK-2.22.1-win32\lib\gtk-2.0\include;$(IncludePath)</IncludePath>
    <LibraryPath>$(SolutionDir)GTK-2.22.1-win32\lib;$(SolutionDir)LibCurl-7.18.0\lib;$(LibraryPath)</LibraryPath>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <IncludePath>$(SolutionDir)LibCurl-7.18.0\include\;$(SolutionDir)GTK-2.22.1-win32\include\gdk-pixbuf-2.0;$(SolutionDir)GTK-2.22.1-win32\include;$(SolutionDir)GTK-2.22.1-win32\include\gtk-2.0;$(SolutionDir)GTK-2.22.1-win32\include\glib-2.0;$(SolutionDir)GTK-2.22.1-win32\lib\glib-2.0\include;$(SolutionDir)GTK-2.22.1-win32\include\atk-1.0;$(SolutionDir)GTK-2.22.1-win32\include\cairo;$(SolutionDir)GTK-2.22.1-win32\include\pango-1.0;$(SolutionDir)GTK-2.22.1-win32\lib\gtk-2.0\include;$(IncludePath)</IncludePath>
    <LibraryPath>$(SolutionDir)GTK-2.22.1-win32\lib;$(SolutionDir)LibCurl-7.18.0\lib;$(LibraryPath)</LibraryPath>
    <CodeAnalysisRuleSet>AllRules.ruleset</CodeAnalysisRuleSet>
  </PropertyGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <ClCompile>
      <WarningLevel>Level3</WarningLevel>
      <Optimization>Disabled</Optimization>
      <RuntimeLibrary>MultiThreaded</RuntimeLibrary>
      <FunctionLevelLinking>true</FunctionLevelLinking>
    </ClCompile>
    <Link>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <SubSystem>Console</SubSystem>
      <AdditionalDependencies>glib-2.0.lib;gtk-win32-2.0.lib;gdk-win32-2.0.lib;gobject-2.0.lib;gdk_pixbuf-2.0.lib;gthread-2.0.lib;gmodule-2.0.lib;pango-1.0.lib;atk-1.0.lib;zdll.lib;libcurl.lib;%(AdditionalDependencies)</AdditionalDependencies>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <ClCompile>
      <WarningLevel>Level3</WarningLevel>
      <Optimization>Disabled</Optimization>
    </ClCompile>
    <Link>
      <GenerateDebugInformation>true</GenerateDebugInformation>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <ClCompile>
      <WarningLevel>Level3</WarningLevel>
      <Optimization>MaxSpeed</Optimization>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <IntrinsicFunctions>true</IntrinsicFunctions>
      <RuntimeLibrary>MultiThreaded</RuntimeLibrary>
    </ClCompile>
    <Link>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <OptimizeReferences>true</OptimizeReferences>
      <AdditionalDependencies>glib-2.0.lib;gtk-win32-2.0.lib;gdk-win32-2.0.lib;gobject-2.0.lib;gdk_pixbuf-2.0.lib;gthread-2.0.lib;gmodule-2.0.lib;pango-1.0.lib;atk-1.0.lib;zdll.lib;libcurl.lib;%(AdditionalDependencies)</AdditionalDependencies>
      <SubSystem>Console</SubSystem>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='XRelease|Win32'">
    <ClCompile>
      <WarningLevel>Level3</WarningLevel>
      <Optimization>Full</Optimization>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <IntrinsicFunctions>true</IntrinsicFunctions>
      <RuntimeLibrary>MultiThreaded</RuntimeLibrary>
      <MultiProcessorCompilation>true</MultiProcessorCompilation>
      <InlineFunctionExpansion>AnySuitable</InlineFunctionExpansion>
      <FavorSizeOrSpeed>Speed</FavorSizeOrSpeed>
      <OmitFramePointers>true</OmitFramePointers>
      <EnableFiberSafeOptimizations>true</EnableFiberSafeOptimizations>
      <EnableEnhancedInstructionSet>StreamingSIMDExtensions2</EnableEnhancedInstructionSet>
      <DisableSpecificWarnings>4996</DisableSpecificWarnings>
    </ClCompile>
    <Link>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <OptimizeReferences>true</OptimizeReferences>
      <AdditionalDependencies>glib-2.0.lib;gtk-win32-2.0.lib;gdk-win32-2.0.lib;gobject-2.0.lib;gdk_pixbuf-2.0.lib;gthread-2.0.lib;gmodule-2.0.lib;pango-1.0.lib;atk-1.0.lib;zdll.lib;libcurl.lib;%(AdditionalDependencies)</AdditionalDependencies>
      <SubSystem>Console</SubSystem>
      <SetChecksum>true</SetChecksum>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <ClCompile>
      <WarningLevel>Level3</WarningLevel>
      <Optimization>MaxSpeed</Optimization>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <IntrinsicFunctions>true</IntrinsicFunctions>
      <RuntimeLibrary>MultiThreaded</RuntimeLibrary>
    </ClCompile>
    <Link>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <OptimizeReferences>true</OptimizeReferences>
      <AdditionalDependencies>glib-2.0.lib;gtk-win32-2.0.lib;gdk-win32-2.0.lib;gobject-2.0.lib;gdk_pixbuf-2.0.lib;gthread-2.0.lib;gmodule-2.0.lib;pango-1.0.lib;atk-1.0.lib;zdll.lib;%(AdditionalDependencies)</AdditionalDependencies>
      <SubSystem>Windows</SubSystem>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='XRelease|x64'">
    <ClCompile>
      <WarningLevel>Level3</WarningLevel>
      <Optimization>MaxSpeed</Optimization>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <IntrinsicFunctions>true</IntrinsicFunctions>
      <RuntimeLibrary>MultiThreaded</RuntimeLibrary>
    </ClCompile>
    <Link>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <OptimizeReferences>true</OptimizeReferences>
      <AdditionalDependencies>glib-2.0.lib;gtk-win32-2.0.lib;gdk-win32-2.0.lib;gobject-2.0.lib;gdk_pixbuf-2.0.lib;gthread-2.0.lib;gmodule-2.0.lib;pango-1.0.lib;atk-1.0.lib;zdll.lib;%(AdditionalDependencies)</AdditionalDependencies>
      <SubSystem>Windows</SubSystem>
    </Link>
  </ItemDefinitionGroup>
  <ItemGroup>
    <ClInclude Include="Languages\English.h" />
    <ClInclude Include="resource.h" />
    <ClInclude Include="Sourcefiles\Adder.h" />
    <ClInclude Include="Sourcefiles\Buddyactions.h" />
    <ClInclude Include="Sourcefiles\BuddyList.h" />
    <ClInclude Include="Sourcefiles\Channel.h" />
    <ClInclude Include="Sourcefiles\Chat.h" />
    <ClInclude Include="Sourcefiles\Client.h" />
    <ClInclude Include="Sourcefiles\Config.h" />
    <ClInclude Include="Sourcefiles\Connect.h" />
    <ClInclude Include="Sourcefiles\Dialogs.h" />
    <ClInclude Include="Sourcefiles\FTPDownload.h" />
    <ClInclude Include="Sourcefiles\FTPUpload.h" />
    <ClInclude Include="Sourcefiles\Functions.h" />
    <ClInclude Include="Sourcefiles\FxPacket.h" />
    <ClInclude Include="Sourcefiles\History.h" />
    <ClInclude Include="Sourcefiles\Infos.h" />
    <ClInclude Include="Sourcefiles\Loggining.h" />
    <ClInclude Include="Sourcefiles\Logoff.h" />
    <ClInclude Include="Sourcefiles\Main.h" />
    <ClInclude Include="Sourcefiles\Pixmaps.h" />
    <ClInclude Include="Sourcefiles\Registration.h" />
    <ClInclude Include="Sourcefiles\Requests.h" />
    <ClInclude Include="Sourcefiles\Sendaction.h" />
    <ClInclude Include="Sourcefiles\Statusbar.h" />
    <ClInclude Include="Sourcefiles\Time.h" />
  </ItemGroup>
  <ItemGroup>
    <None Include="Cannals.txt" />
  </ItemGroup>
  <ItemGroup>
    <ResourceCompile Include="ClientGTK.rc" />
  </ItemGroup>
  <ItemGroup>
    <Image Include="..\XRelease\images\icons\win_icon.ico" />
  </ItemGroup>
  <ItemGroup>
    <ClCompile Include="Sourcefiles\Adder.cpp" />
    <ClCompile Include="Sourcefiles\Buddyactions.cpp" />
    <ClCompile Include="Sourcefiles\BuddyList.cpp" />
    <ClCompile Include="Sourcefiles\Channel.cpp" />
    <ClCompile Include="Sourcefiles\Chat.cpp" />
    <ClCompile Include="Sourcefiles\Connect.cpp" />
    <ClCompile Include="Sourcefiles\Dialogs.cpp" />
    <ClCompile Include="Sourcefiles\FTPDownload.cpp" />
    <ClCompile Include="Sourcefiles\FTPUpload.cpp" />
    <ClCompile Include="Sourcefiles\Functions.cpp" />
    <ClCompile Include="Sourcefiles\FxPacket.cpp" />
    <ClCompile Include="Sourcefiles\History.cpp" />
    <ClCompile Include="Sourcefiles\Infos.cpp" />
    <ClCompile Include="Sourcefiles\Loggining.cpp" />
    <ClCompile Include="Sourcefiles\Logoff.cpp" />
    <ClCompile Include="Sourcefiles\Main.cpp" />
    <ClCompile Include="Sourcefiles\Pixmaps.cpp" />
    <ClCompile Include="Sourcefiles\Registration.cpp" />
    <ClCompile Include="Sourcefiles\Requests.cpp" />
    <ClCompile Include="Sourcefiles\Sendaction.cpp" />
    <ClCompile Include="Sourcefiles\Statusbar.cpp" />
    <ClCompile Include="Sourcefiles\Time.cpp" />
  </ItemGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
  <ImportGroup Label="ExtensionTargets">
  </ImportGroup>
</Project>